# Ogre::LogListener Class Reference

`#include <OgreLog.h>`

List of all members.

## Public Member Functions

virtual | ~LogListener ()
virtual void | messageLogged (const String &message, LogMessageLevel lml, bool maskDebug, const String &logName)=0

## Detailed Description

Remarks:
  Pure Abstract class, derive this class and register to the Log to listen to log messages

Definition at line 60 of file OgreLog.h.

## Constructor & Destructor Documentation

virtual Ogre::LogListener::~LogListener | ( |  | ) | `[virtual]`

| Definition at line 63 of file OgreLog.h.

## Member Function Documentation

virtual void Ogre::LogListener::messageLogged | ( | const String & | message,
|  | LogMessageLevel | lml,
|  | bool | maskDebug,
|  | const String & | logName
| ) | `[pure virtual]`

Remarks:
  This is called whenever the log receives a message and is about to write it out

Parameters:

  | message | The message to be logged
  | lml | The message level the log is using
  | maskDebug | If we are printing to the console or not
  | logName | the name of this log (so you can have several listeners for different logs, and identify them)

The documentation for this class was generated from the following file:

- OgreLog.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat Apr 11 13:48:52 2009